Subject: bug#74196: maint: assume proper behavior of tolower

From: Collin Funk <[email-masked]>
Date: Mon, 11 Nov 2024 10:42:47 -0800

Hi Simon,

Simon Josefsson <[email-masked]> writes:

> This is for MSDOS/OS2/WIN32/ATARI only as far as I can tell -- do we
> know that tolower() works as expected on these architectures?  What
> problem is caused by the current behaviour?  I think it would be nice to
> establish that first.

I doubt MSDOS, OS2, ATARI would be supported by Gnulib. I haven't used
them so I can't say for sure. But they are old.

> This changes strlwr(), it would be good to audit all usages of it to
> understand impact of a change.

Good point. It is only used in 'gzip_base_name' from util.c. It looks
like that is used in a few files to convert the input file name to the
archive file name. Probably needed for some proprietary systems,
although I'm not sure which ones.

Collin